LibreOffice: XInplaceObject Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XInplaceObject Interface Referencepublished

represents common functionality for inplace embedded objects. More...

Inheritance diagram for XInplaceObject:

## Public Member Functions
void | setObjectRectangles ([in] ::com::sun::star::awt::Rectangle aPosRect, [in] ::com::sun::star::awt::Rectangle aClipRect) raises ( ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| sets the visible part of the inplace object.
void | enableModeless ([in] boolean bEnable) raises ( ::com::sun::star::embed::WrongStateException, ::com::sun::star::uno::Exception )
| enables or disables modeless dialogs of the object.
void | translateAccelerators ([in] sequence< ::com::sun::star::awt::KeyEvent > aKeys) raises ( ::com::sun::star::embed::WrongStateException )
| provides accelerator table the container wants to use during inplace editing.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

represents common functionality for inplace embedded objects.

## Member Function Documentation

## ◆ enableModeless()

void enableModeless | ( | [in] boolean | bEnable | ) |
raises | ( | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::uno::Exception
| ) |  |

enables or disables modeless dialogs of the object.

In case container wants to show a modal dialog it should disable modeless of embedded object dialogs with this call. Later the same call can be used to enable it.

Parameters

  bEnable | `TRUE` to enable object modeless `FALSE` to disable it

Exceptions

  com::sun::star::embed::WrongStateException | the object is in wrong state
  com::sun::star::uno::Exception | in case of other problems

## ◆ setObjectRectangles()

void setObjectRectangles | ( | [in] ::com::sun::star::awt::Rectangle | aPosRect,
|  | [in] ::com::sun::star::awt::Rectangle | aClipRect
| ) |  |
raises | ( | ::com::sun::star::embed::WrongStateException,
|  | ::com::sun::star::uno::Exception
| ) |  |

sets the visible part of the inplace object.

Both rectangles are provided in object's parent window coordinates in pixels. The intersection of rectangles specifies the visible part of the object. In case the position window has a size that is different from object's visual area size, the object should either scale or deactivate.

The method must activate object repainting.

Parameters

  aPosRect | specifies a new position rectangle
  aClipRect | specifies a new clip rectangle

Exceptions

  com::sun::star::embed::WrongStateException | the object is in invalid state
  com::sun::star::uno::Exception | in case of other problems

## ◆ translateAccelerators()

void translateAccelerators | ( | [in] sequence< ::com::sun::star::awt::KeyEvent > | aKeys | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

provides accelerator table the container wants to use during inplace editing.

Returns
  an accelerator table from container

Exceptions

  com::sun::star::embed::WrongStateException | the object is in unexpected state

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XInplaceObject.idl